Index: INCL.H
===================================================================
--- INCL.H	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ INCL.H	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -1,5 +1,4 @@
-!      implicit none
-      implicit integer*4 (i-n)
-      implicit real*8 (a-h,o-z)
+      implicit none
+      
       character*255 version
 
Index: bgs.f
===================================================================
--- bgs.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ bgs.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -2,5 +2,5 @@
 ! Trial version implementing the semi-local conformational update
 ! BGS (Biased Gaussian Steps). This file presently contains the
-! functions initlund, bgsposs and bgs. 
+! functions initlund, bgsposs and bgs.
 !
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
@@ -9,9 +9,11 @@
 
 
-! Checks if it is possible to perform a BGS update starting at the 
+! Checks if it is possible to perform a BGS update starting at the
 ! variable indexed ipos. Calls: none.
       logical function bgsposs(ips)
       include 'INCL.H'
       include 'incl_lund.h'
+      integer jv, ips, iaa, nursvr, nnonfx, i
+
       logical ians
 
@@ -20,20 +22,20 @@
       ians=.true.
 !      print *,'evaluating bgs possibility for ',ips,nmvr(jv)
-      if (nmvr(jv).ne.'phi') then 
+      if (nmvr(jv).ne.'phi') then
 !         print *,'bgs not possible because variable name is ',nmvr(jv)
          ians=.false.
-      else if (iaa.gt.(irsml2(mlvr(jv))-3)) then 
+      else if (iaa.gt.(irsml2(mlvr(jv))-3)) then
 !         print *,'bgs impossible, residue too close to end'
 !         print *,'iaa = ',iaa,' end = ',irsml2(mlvr(jv))
          ians=.false.
-      else 
-         nnonfx=0 
+      else
+         nnonfx=0
          do i=iaa,iaa+3
-            if (iphi(i).gt.0) then 
+            if (iphi(i).gt.0) then
                if (.not.fxvr(iphi(i))) then
                   nnonfx=nnonfx+1
                endif
             endif
-            if (.not.fxvr(ipsi(i))) then 
+            if (.not.fxvr(ipsi(i))) then
                nnonfx=nnonfx+1
             endif
@@ -52,15 +54,15 @@
 
 ! Biased Gaussian Steps. Implements a semi-local conformational update
-! which modifies the protein backbone locally in a certain range of 
-! amino acids. The 'down-stream' parts of the molecule outside the 
+! which modifies the protein backbone locally in a certain range of
+! amino acids. The 'down-stream' parts of the molecule outside the
 ! region of update get small rigid body translations and rotations.
 !
-! Use the update sparingly. It is rather local, and is not of great 
+! Use the update sparingly. It is rather local, and is not of great
 ! value if we need big changes in the conformation. It is recommended
-! that this update be used to refine a structure around a low energy 
+! that this update be used to refine a structure around a low energy
 ! candidate structure. Even at low energies, if you always
-! perform BGS, the chances of coming out of that minimum are small. 
-! So, there is a probability bgsprob, which decides whether BGS or the 
-! normal single angle update is used. 
+! perform BGS, the chances of coming out of that minimum are small.
+! So, there is a probability bgsprob, which decides whether BGS or the
+! normal single angle update is used.
 !
 ! Calls: energy, dummy (function provided as argument), addang, (rand)
@@ -70,4 +72,10 @@
       include 'INCL.H'
       include 'incl_lund.h'
+      double precision grnd, xiv, bv, ab, rv, dv, a, sum, p, r1, r2
+      double precision ppsi, wfw, addang, enw, energy, wbw, rd, delta
+      double precision dummy, eol1
+
+      integer ivar, i, nph, jv, ia, nursvr, icurraa, j, k, l
+
       external dummy
       dimension xiv(8,3),bv(8,3),rv(3,3),dv(3,8,3)
@@ -76,5 +84,5 @@
 ! Initialize
 !      print *,'using BGS on angle ',nmvr(idvr(ivar))
-      if (bgsnvar.eq.0) then 
+      if (bgsnvar.eq.0) then
          bgs=0
          goto 171
@@ -91,5 +99,5 @@
       do i=1,4
          icurraa=ia+i-1
-         if (iphi(icurraa).gt.0.and..not.fxvr(iphi(icurraa))) then 
+         if (iphi(icurraa).gt.0.and..not.fxvr(iphi(icurraa))) then
             nph=nph+1
             xiv(nph,1)=xat(iCa(icurraa))
@@ -102,5 +110,5 @@
      &           +bv(nph,3)*bv(nph,3)
             iph(nph)=iphi(icurraa)
-         endif 
+         endif
          if (.not.fxvr(ipsi(icurraa))) then
             nph=nph+1
@@ -136,5 +144,5 @@
          enddo
       enddo
-      do i=1,nph 
+      do i=1,nph
          do j=i,nph
             A(i,j)=0
@@ -157,7 +165,7 @@
                sum=sum-A(i,k)*A(j,k)
             enddo
-            if (i.eq.j) then 
-               p(i)=sqrt(sum) 
-            else 
+            if (i.eq.j) then
+               p(i)=sqrt(sum)
+            else
                A(j,i)=sum/p(i)
             endif
@@ -177,5 +185,5 @@
          dph(i)=0
       enddo
-! Solve lower triangular matrix to get dphi proposals 
+! Solve lower triangular matrix to get dphi proposals
       do i=nph,1,-1
          sum=ppsi(i)
@@ -190,5 +198,5 @@
       do i=1,nph
          sum=sum+ppsi(i)*ppsi(i)
-      enddo 
+      enddo
       wfw=exp(-sum)
       do i=1,nph
@@ -208,5 +216,5 @@
       do i=1,4
          icurraa=ia+i-1
-         if (iphi(icurraa).gt.0.and..not.fxvr(iphi(icurraa))) then 
+         if (iphi(icurraa).gt.0.and..not.fxvr(iphi(icurraa))) then
             nph=nph+1
             xiv(nph,1)=xat(iCa(icurraa))
@@ -219,6 +227,6 @@
      &           +bv(nph,3)*bv(nph,3)
             iph(nph)=iphi(icurraa)
-         endif 
-         if (.not.fxvr(ipsi(icurraa))) then 
+         endif
+         if (.not.fxvr(ipsi(icurraa))) then
             nph=nph+1
             xiv(nph,1)=xat(iC(icurraa))
@@ -253,5 +261,5 @@
          enddo
       enddo
-      do i=1,nph 
+      do i=1,nph
          do j=i,nph
             A(i,j)=0
@@ -262,5 +270,5 @@
             enddo
             A(i,j)=bbgs*A(i,j)
-            if (i.eq.j) then 
+            if (i.eq.j) then
                A(i,j)=A(i,j)+1
             endif
@@ -274,7 +282,7 @@
                sum=sum-A(i,k)*A(j,k)
             enddo
-            if (i.eq.j) then 
-               p(i)=sqrt(sum) 
-            else 
+            if (i.eq.j) then
+               p(i)=sqrt(sum)
+            else
                A(j,i)=sum/p(i)
             endif
@@ -285,5 +293,5 @@
          do j=i+1,nph
             ppsi(i)=ppsi(i)+A(j,i)*dph(j)
-         enddo  
+         enddo
       enddo
       sum=0
@@ -291,5 +299,5 @@
          sum=sum+ppsi(i)*ppsi(i)
       enddo
-      wbw=exp(-sum) 
+      wbw=exp(-sum)
       do i=1,nph
          wbw=wbw*p(i)
@@ -306,13 +314,13 @@
 !       call outpdb(0,'after.pdb')
 !      print *,'after outpdb for after.pdb'
-!      do i=1,nph 
+!      do i=1,nph
 !         print *,'BGS>',i,iph(i),vlvr(iph(i)),dph(i)
 !      enddo
-      if (rd.ge.delta) then 
+      if (rd.ge.delta) then
 !     accept
          eol1=enw
          bgs=1
 !         print *,'BGS move accepted'
-      else 
+      else
 !     reject
          vlvr = ovr
Index: cnteny.f
===================================================================
--- cnteny.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ cnteny.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2005       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -20,5 +20,12 @@
       include 'INCL.H'
 
-      parameter (coeycn=2.d0)  ! min. cont. energy to display 
+      double precision coeycn, coey, eyatcn, cqi, xi, yi, zi, xij, yij
+      double precision zij, rij2, rij4, rij6, rij, sr, ep, ey
+
+      integer ieyel, ntlvr, nml, iat1, nat, i, ifivr, i1s, io, iv, ia
+      integer it, ic, i2s, ims, i1, i2, ii, ity, ivw, j, jj, jty, i14
+      integer nbc, ir, nursat, idxat
+
+      parameter (coeycn=2.d0)  ! min. cont. energy to display
 
       dimension eyatcn(mxat),idxat(mxat)
Index: difang.f
===================================================================
--- difang.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ difang.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -21,6 +21,6 @@
 ! ......................................................
 
-      implicit real*8 (a-h,o-z)
-
+      implicit none
+      double precision pi, pi2, d, a2, a1
       parameter (pi=3.141592653589793d0,
      &           pi2=2.d0*pi)
@@ -47,5 +47,6 @@
 ! ......................................................
 
-      implicit real*8 (a-h,o-z)
+      implicit none
+      double precision pi, pi2, d, a1, a2
 
       parameter (pi=3.141592653589793d0,
Index: energy.f
===================================================================
--- energy.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ energy.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -22,6 +22,11 @@
 
       include 'INCL.H'
+      double precision esm, teysl, enyshe, enyflx, enylun, enyreg
+      double precision enysol, esolan, exvlun, eyabgn, eninteract
+
+      integer i
+
       double precision teysm, teyel, teyvw, teyhb, teyvr
-!      print *,'energy function with ientyp  = ',ientyp   
+!      print *,'energy function with ientyp  = ',ientyp
       esm = 0.d0
       teysm = 0.d0
@@ -32,5 +37,5 @@
       teysl = 0.d0
 
-      do i = 1,ntlml  
+      do i = 1,ntlml
          eysm=0
          eyel=0
@@ -44,5 +49,5 @@
         if (ientyp.eq.0.or.ientyp.eq.3) then
           esm=esm+enyshe(i)
-        else if (ientyp.eq.1) then 
+        else if (ientyp.eq.1) then
           esm=esm+enyflx(i)
         else if (ientyp.eq.2) then
@@ -57,15 +62,15 @@
 !     The Lund term stores the hydrophobicity energy in eysl
            teysl = teysl + eysl
-        else 
+        else
 !     .. and the excluded volume term in eyvw, which is calculated once.
            teyvw = teyvw + eyvw
         endif
 
-        if (ireg.eq.1)  eyrg=enyreg(i)        
+        if (ireg.eq.1)  eyrg=enyreg(i)
 
       enddo
 
-      if (ientyp.ne.2) then 
-!     Don't touch eysl if using Lund potential, as enylun stores 
+      if (ientyp.ne.2) then
+!     Don't touch eysl if using Lund potential, as enylun stores
 !     its hydrophobicity term there.
          if (itysol.gt.0) then
@@ -79,5 +84,5 @@
             eysl=0.d0
          endif
-      else 
+      else
 !     Add excluded volume term and save it in eyvw
          esm=esm+exvlun(0)
@@ -85,10 +90,10 @@
       endif
 
-! The Abagyan entropic corrections depend on the area exposed to the 
+! The Abagyan entropic corrections depend on the area exposed to the
 ! solvent for each residue. So, this term has to be evaluated after the
 ! solvent term.
       eyab=0.0
       if (ientyp.eq.3) then
-         do i = 1,ntlml  
+         do i = 1,ntlml
             eyab=eyab+eyabgn(i)
          enddo
@@ -103,5 +108,5 @@
       eyvr = teyvr
       eysl = teysl
-      
+
       if (ientyp.ne.2) then
 !     This is temporary. eninteract() does not yet know how to calculate
@@ -116,5 +121,5 @@
 !c Calculates the internal energy for a single molecule.
 !  All the partial energies are thus set to their values for molecule
-!  nml. 
+!  nml.
 !
 !  @param nml the ID of the molecule
@@ -125,9 +130,14 @@
 
 !f2py intent(in) nml
-      
+
       include 'INCL.H'
+      double precision esm, enyshe, enyflx, enylun, enyreg, enysol
+      double precision esolan, exvlun, eyabgn
+
+      integer nml, i
+
       esm = 0.d0
 
-      call setvar(nml,vlvr)  
+      call setvar(nml,vlvr)
 
       if (ientyp.eq.0.or.ientyp.eq.3) then
@@ -149,8 +159,8 @@
             eysl=0.d0
          endif
-      else 
+      else
          esm=esm+exvlun(nml)
       endif
-! The Abagyan entropic corrections depend on the area exposed to the 
+! The Abagyan entropic corrections depend on the area exposed to the
 ! solvent for each residue. So, this term has to be evaluated after the
 ! solvent term.
Index: eninteract.f
===================================================================
--- eninteract.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ eninteract.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -15,5 +15,10 @@
 
         include 'INCL.H'
-                
+
+      double precision cqi, xi, yi, zi, xj, yj, zj, xij, yij, zij, rij2
+      double precision rij4, rij6, rij, sr, ep
+
+      integer iml, jml, ires, jres, iat, ity, jat, jty
+
         eysmi=0.0
         eyeli=0.0
@@ -42,5 +47,5 @@
                     yj=yat(jat)
                     zj=zat(jat)
-                    
+
                     xij=xat(jat)-xi
                     yij=yat(jat)-yi
@@ -69,5 +74,5 @@
      &                          -chb(ity,jty)/(rij6*rij4)
                     endif
-                  enddo 
+                  enddo
                 enddo
               enddo
@@ -78,4 +83,4 @@
         eysmi = eyeli + eyvwi + eyhbi
         eninteract = eysmi
-        return 
-      end   
+        return
+      end
Index: enylun.f
===================================================================
--- enylun.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ enylun.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -1,8 +1,8 @@
 ! *******************************************************************
 ! SMMP version of Anders Irback's force field, to be called the Lund
-! force field. This file contains the function enylun, which in turn 
-! calls all the terms in the energy function. The terms Bias (ebias), 
-! Hydrogen bonds (ehbmm and ehbms), Hydrophobicity (ehp) and the 
-! Excluded volume (eexvol and eloexv) are also implemented in this 
+! force field. This file contains the function enylun, which in turn
+! calls all the terms in the energy function. The terms Bias (ebias),
+! Hydrogen bonds (ehbmm and ehbms), Hydrophobicity (ehp) and the
+! Excluded volume (eexvol and eloexv) are also implemented in this
 ! file.
 !
@@ -13,4 +13,6 @@
       include 'INCL.H'
       include 'incl_lund.h'
+      integer iat1, iat2
+
           integer ires,frst,lst,root
           do iat1=iCa(ires)+frst,iCa(ires)+lst
@@ -30,4 +32,9 @@
       include 'INCL.H'
       include 'incl_lund.h'
+      double precision eunit, csacc
+
+      integer i, j, iml, iat1, iat2, k, iat3, l, iat4, m, iat3p, irs
+      integer iatoff, iatmrg, ilp, lci
+
       character mynm*4
       logical prlvr
@@ -83,9 +90,9 @@
             prlvr=.true.        ! residue i is a proline variant
             print *, 'proline variant ',mynm,i
-         else 
+         else
             prlvr=.false.
-         endif 
-
-         if (mynm.eq.'ala') then 
+         endif
+
+         if (mynm.eq.'ala') then
             nhpat(i)=1
             ihpat(i,1)=iCa(i)+2
@@ -193,11 +200,11 @@
 
 !     Initialization of the connections matrix matcon(i,j). The index
-!     i runs from -mxconr to +mxconr, and j from 1 to mxat. 
+!     i runs from -mxconr to +mxconr, and j from 1 to mxat.
 !     matcon(i2-i1,i1) = 0, if the distance between atoms i1 and i2 is fixed
 !                      = 2, if atoms i1 and i2 are separated by 3 covalent
 !                           bonds and their distance can change
 !                      = 1, for all other pairs
-!     if abs(i2-i1) > mxconr, the atoms are assumed to be separated by 
-!     many bonds, and with no restriction on their distances. On a protein 
+!     if abs(i2-i1) > mxconr, the atoms are assumed to be separated by
+!     many bonds, and with no restriction on their distances. On a protein
 !     molecule made of natural amino acids, atoms with indices separated
 !     by more than 35 can not be connected by three covalent bonds.
@@ -228,5 +235,5 @@
                      do m=1,nbdat(iat2)
                         iat3p=ibdat(m,iat2)
-                        if (iat3p.ne.iat3) then 
+                        if (iat3p.ne.iat3) then
                            matcon(iat4-iat3p,iat3p)=2 ! 3 covalent bonds
                            matcon(iat3p-iat4,iat4)=2 !
@@ -255,5 +262,5 @@
                 matcon(iat2-iat1,iat1)=0
                 matcon(iat1-iat2,iat2)=0
-            enddo 
+            enddo
             matcon(iat1-iCa(irsml1(iml))-1,iCa(irsml1(iml))+1)=2
             matcon(iCa(irsml1(iml))+1-iat1,iat1)=2
@@ -266,10 +273,10 @@
 !     Below: for certain residues, some atoms separated by 3 or more bonds
 !     do not change distance. So, the connection matrix term for such pairs
-!     should be zero. 
+!     should be zero.
 
          do irs=irsml1(iml),irsml2(iml)
             if (irs.eq.irsml1(iml)) then
                iatoff=1
-            else 
+            else
                iatoff=0
             endif
@@ -283,10 +290,10 @@
             if ((mynm.eq.'pro')) then
                prlvr=.true.     ! residue i is a proline variant
-            else 
+            else
                prlvr=.false.
-            endif 
-            if ((mynm.eq.'asn')) then 
+            endif
+            if ((mynm.eq.'asn')) then
                 call set_local_constr(irs,5,9,2)
-            else if ((mynm.eq.'gln')) then 
+            else if ((mynm.eq.'gln')) then
                 call set_local_constr(irs,8,12,5)
             else if ((mynm.eq.'arg')) then
@@ -294,5 +301,5 @@
             else if ((mynm.eq.'his')) then
                 call set_local_constr(irs,5,12,2)
-            else if (mynm.eq.'phe') then 
+            else if (mynm.eq.'phe') then
                 call set_local_constr(irs,5,15,2)
             else if (mynm.eq.'tyr') then
@@ -308,5 +315,5 @@
                 call set_local_constr(irs,5,19,2)
             else if (prlvr) then
-!           Proline. Many more distances are fixed because of the fixed 
+!           Proline. Many more distances are fixed because of the fixed
 !           phi angle
                 call set_local_constr(irs,-3,11,-3)
@@ -347,10 +354,9 @@
          do iat1=iatrs1(irsml1(iml)),iatrs2(irsml2(iml))
             do iat2=iat1+1,iatrs2(irsml2(iml))
-               if (iat2-iat1.le.mxconr) then 
-                  if (matcon(iat2-iat1,iat1).eq.2) then
-                    ilp=ilp+1
-                    lcp1(ilp)=iat1
-                    lcp2(ilp)=iat2
-                  endif
+               if ((iat2-iat1.le.mxconr).and.
+     &                 matcon(iat2-iat1,iat1).eq.2) then
+                  ilp=ilp+1
+                  lcp1(ilp)=iat1
+                  lcp2(ilp)=iat2
                endif
             enddo
@@ -358,5 +364,5 @@
 
          ilpnd(iml)=ilp
-         if (iml.lt.ntlml) then 
+         if (iml.lt.ntlml) then
             ilpst(iml+1)=ilp+1
          endif
@@ -369,4 +375,5 @@
          enddo
       enddo
+
       print *,'finished initializing Lund force field'
       end
@@ -374,4 +381,6 @@
       integer function ihptype(iaa)
       include 'INCL.H'
+      integer iaa, ityp
+
       character mynm*4
       mynm=seq(iaa)
@@ -383,10 +392,10 @@
      &        .or.(mynm.eq.'met').or.(mynm.eq.'pro')) then
          ityp=2
-      else if ((mynm.eq.'phe').or.(mynm.eq.'tyr').or.(mynm.eq.'trp')) 
+      else if ((mynm.eq.'phe').or.(mynm.eq.'tyr').or.(mynm.eq.'trp'))
      &        then
          ityp=3
       endif
       ihptype=ityp
-      return 
+      return
       end
 
@@ -394,7 +403,11 @@
       include 'INCL.H'
       include 'incl_lund.h'
+      double precision q1, q2, et, xij, yij, zij
+
+      integer i, iat1, irsd, j, iat2
+
       dimension q1(2),q2(2)
       data q1/-0.2,0.2/
-      data q2/0.42,-0.42/ 
+      data q2/0.42,-0.42/
 
       et=0.0
@@ -412,9 +425,13 @@
       return
       end
-!     Evaluates backbone backbone hydrogen bond strength for residues 
+!     Evaluates backbone backbone hydrogen bond strength for residues
 !     i and j, taking the donor from residue i and acceptor from residue j
       real*8 function ehbmmrs(i,j)
       include 'INCL.H'
       include 'incl_lund.h'
+      double precision rdon2, racc2, evlu
+
+      integer i, j
+
       double precision r2,r4,r6,dx,dy,dz,ca,cb
       integer d1,d2,a1,a2
@@ -427,5 +444,5 @@
       dz=zat(a1)-zat(d2)
       r2=dx*dx+dy*dy+dz*dz
-      if (r2.gt.cthb2) then 
+      if (r2.gt.cthb2) then
 !         print *,'hbmm = 0 ',cthb2,r2,a1,a2,d1,d2
 !         print *,'a1,a2,d1,d2,r2 = ',a1,a2,d1,d2,r2,sighb2,cthb
@@ -464,4 +481,10 @@
       include 'INCL.H'
       include 'incl_lund.h'
+      double precision ebiasrs, shbm1, shbm2, etmp, ehbmmrs, ehp, etmp1
+      double precision xij, yij, zij, r2, r6
+
+      integer istres, nml, indres, i, j, ihpi, ihptype, ihpj, i1, i2
+      integer iat1, iat2, iatt1, iatt2
+
       character mynm*4
       logical prlvr
@@ -485,7 +508,7 @@
      &           .or.(mynm.eq.'pron').or.(mynm.eq.'pro+')) then
             prlvr=.true.        ! residue i is a proline variant
-         else 
+         else
             prlvr=.false.
-         endif 
+         endif
 
 !     Bias, or local electrostatic term. Excluded from the list are
@@ -502,17 +525,17 @@
 !     j run over the whole set of amino acids.
 !     No terms for residue i, if it is a proline variant.
-         if (.not.prlvr) then  
+         if (.not.prlvr) then
             do j=istres,indres
-               if ((j.lt.(i-2)).or.(j.gt.(i+1))) then 
+               if ((j.lt.(i-2)).or.(j.gt.(i+1))) then
                     shbm2=1.0
                     if ((j.eq.istres).or.(j.eq.indres)) shbm2=0.5
                     etmp=ehbmmrs(i,j)
                     eyhb=eyhb+shbm1*shbm2*etmp
-                endif 
+                endif
             enddo
          endif
 !     Hydrophobicity, only if residue i is hydrophobic to start with
          ihpi=ihptype(i)
-         if (ihpi.ge.0) then 
+         if (ihpi.ge.0) then
 !        Unlike hydrogen bonds, the hydrophobicity potential is symmetric
 !        in i and j. So, the loop for j runs from i+1 to the end.
@@ -526,5 +549,5 @@
 !                  print *, 'hydrophobicity contribution ',etmp,i,j
                   eysl=eysl+etmp
-               endif 
+               endif
             enddo
          endif
@@ -535,5 +558,5 @@
 !     Local pair or third-neighbour excluded volume
 !     Numerically this is normally the term with largest positive
-!     contribution to the energy in an equilibrated stystem. 
+!     contribution to the energy in an equilibrated stystem.
 
       i1=ilpst(nml)
@@ -551,5 +574,5 @@
          r2=(xij*xij + yij*yij + zij*zij)
          if (r2.le.exvcut2) then
-            r6=sig2lcp(iatt1,iatt2)/r2 
+            r6=sig2lcp(iatt1,iatt2)/r2
             r6=r6*r6*r6
             etmp1=(r6*r6+asalcp(iatt1,iatt2)+bsalcp(iatt1,iatt2)*r2)
@@ -560,5 +583,5 @@
             etmp=etmp+etmp1
          endif
-!         print *,'pair : ',iat1,iat2,' contribution ',etmp1 
+!         print *,'pair : ',iat1,iat2,' contribution ',etmp1
 !         print *,exvcut2,r2
       enddo
@@ -579,4 +602,8 @@
       include 'INCL.H'
       include 'incl_lund.h'
+      double precision b2, a2, r2min, xij, yij, zij, dtmp, ssum
+
+      integer ihp1, ihp2, ni, i1, nj, i2, i, k, j, l
+
       dimension r2min(12)
 
@@ -608,8 +635,8 @@
       ssum=0
       do i=1,ni+nj
-         if (r2min(i).le.b2) then 
-            if (r2min(i).lt.a2) then 
+         if (r2min(i).le.b2) then
+            if (r2min(i).lt.a2) then
                ssum=ssum+1
-            else 
+            else
                ssum=ssum+(b2-r2min(i))/(b2-a2)
             endif
@@ -626,18 +653,26 @@
       include 'incl_lund.h'
 !     For multi-chain systems it makes little sense to split the calculation
-!     of this term into an 'interaction part' and a contribution from 
+!     of this term into an 'interaction part' and a contribution from
 !     individual molecules. So, normally this should always be called with
 !     argument nml=0. Only for diagnostic reasons, you might want to find
-!     the contribution from one molecule in a multi-chain system assuming 
+!     the contribution from one molecule in a multi-chain system assuming
 !     there was no other molecule.
+      double precision xmin, ymin, zmin, xmax, ymax, zmax, sizex, sizey
+      double precision sizez, shiftx, shifty, shiftz, etmp, xij, yij
+      double precision zij, r2, r6, etmp1
+
+      integer nml, istat, indat, i, incell, ndx, ndy, ndz, nxy, ncell
+      integer nocccl, locccl, j, mx, my, mz, icellj, icell, jj, isort
+      integer icl, lcell, ix, iz, iy, nex, ney, nez, nsame, nngbr, jx
+      integer jy, jz, jcl, ii, ngbr, i1, iat1, i2, iat2, iatt1, iatt2
+
       dimension isort(mxat),ngbr(mxat),locccl(mxat),incell(mxcell)
       dimension icell(mxat)
       integer :: jx1, jy1, jz1
-      logical doit
-
-      if (nml.eq.0) then 
+
+      if (nml.eq.0) then
          istat=iatrs1(irsml1(1))
          indat=iatrs2(irsml2(ntlml))
-      else 
+      else
          istat=iatrs1(irsml1(nml))
          indat=iatrs2(irsml2(nml))
@@ -645,7 +680,7 @@
 
       eyvw=0.0
-!     The beginning part of this implementation is very similar to the 
-!     assignment of cells to the atoms during calculation of solvent 
-!     accessible surface area. So, much of that part is similar. But 
+!     The beginning part of this implementation is very similar to the
+!     assignment of cells to the atoms during calculation of solvent
+!     accessible surface area. So, much of that part is similar. But
 !     unlike the accessible surface calculations, this term is symmetric
 !     in any two participating atoms. So, the part after the assignment
@@ -724,9 +759,9 @@
          icellj=mx+my*ndx+mz*nxy+1
          icell(j)=icellj
-         if (icellj.gt.mxcell) then 
+         if (icellj.gt.mxcell) then
             print *,'exvlun> bad cell index ',icellj,' for atom ',j
             stop
-         else 
-            if (incell(icellj).eq.0) then 
+         else
+            if (incell(icellj).eq.0) then
 !           previously unoccupied cell
                nocccl=nocccl+1
@@ -756,5 +791,5 @@
          ix=mod(lcell-1,ndx)
          iz = (lcell - 1) / nxy
-         iy = ((lcell - 1) - iz * nxy) / ndx 
+         iy = ((lcell - 1) - iz * nxy) / ndx
 
 c         print *,'icl=',icl,'absolute index of cell = ',lcell
@@ -767,23 +802,23 @@
          nngbr=0
          do jx=ix,nex
-            if (jx.ge.ndx) then 
+            if (jx.ge.ndx) then
                jx1=0
-            else 
+            else
                jx1=jx
             endif
             do jy=iy,ney
-               if (jy.ge.ndy) then 
+               if (jy.ge.ndy) then
                   jy1=0
-               else 
+               else
                   jy1=jy
-               endif 
+               endif
                do jz=iz,nez
-                  if (jz.ge.ndz) then 
+                  if (jz.ge.ndz) then
                      jz1=0
-                  else 
+                  else
                      jz1=jz
                   endif
                   jcl=jx1 + ndx*jy1 + nxy*jz1 + 1
-!                  write(*,*)'jcl,jx1,jy1,jz1:', jcl,jx1,jy1,jz1
+!                  write (logString, *)'jcl,jx1,jy1,jz1:', jcl,jx1,jy1,jz1
                   do ii=incell(jcl)+1,incell(jcl+1)
 !     count the total number of neighbours
@@ -799,8 +834,8 @@
          enddo
 !     A few more cells need to be searched, so that we cover 13 of the 26
-!     neighbouring cells. 
+!     neighbouring cells.
 !        1
          jx=ix+1
-         if (jx.ge.ndx) jx=0 
+         if (jx.ge.ndx) jx=0
          jy=iy
          jz=iz-1
@@ -883,12 +918,7 @@
                r2=(xij*xij+yij*yij+zij*zij)
 
-               if (r2.le.exvcutg2) then 
-                  doit=.false.
-                  if (abs(iat2-iat1).gt.mxconr ) then
-                    doit=.true.
-                  else if (matcon(iat2-iat1,iat1).eq.1) then
-                    doit=.true.
-                  endif
-                  if (doit) then
+               if (r2.le.exvcutg2) then
+                  if (abs(iat2-iat1).gt.mxconr.or.
+     &                 matcon(iat2-iat1,iat1).eq.1) then
                      iatt1=ityat(iat1)
                      iatt2=ityat(iat2)
@@ -931,4 +961,8 @@
       include 'incl_lund.h'
 
+      double precision etmp, etmp1, xij, yij, zij, r2, r6
+
+      integer iat1, iat2, iatt1, iatt2
+
       etmp=0.0
       etmp1=0.0
@@ -941,5 +975,5 @@
             r2=(xij*xij+yij*yij+zij*zij)
 
-            if (r2.le.exvcutg2) then 
+            if (r2.le.exvcutg2) then
                if (abs(iat2-iat1).gt.mxconr.or.
      &                 matcon(iat2-iat1,iat1).eq.1) then
@@ -951,5 +985,5 @@
      &                 +bsaexv(iatt1,iatt2)*r2
                   etmp=etmp+etmp1
-               else 
+               else
 !                  print *,'atoms ', iat1,' and ',iat2,' were close',
 !     #                 'but matcon is ',matcon(iat2-iat1,iat1)
Index: enyreg.f
===================================================================
--- enyreg.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ enyreg.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -21,4 +21,8 @@
 
 
+      double precision eny
+
+      integer i, nml, j
+
       eny = 0.d0
 
